jmdp

## Class CowHerdTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jmdp.CowHerdTest

- All Implemented Interfaces:
    junit.framework.Test

      public class CowHerdTest
      extends junit.framework.TestCase

  Author:
    German Riano. Universidad de los Andes. (C) 2006

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CowHerdTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testGetOptimalValueFunction()`
    `void` | `testMain()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CowHerdTest

          public CowHerdTest()

  - ### Method Detail

    - #### testMain

          public void testMain()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testGetOptimalValueFunction

          public void testGetOptimalValueFunction()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -